@media (min-width: 1200px) and (max-width: 1900px) {
  .search-form input {
    width: 85%;
  }
  .main-menu-area ul li a {
    font-size: 13px;
    font-weight: 600;
    margin-right: 23px;
  }
}

/* Normal desktop :992px. */

@media (min-width: 992px) and (max-width: 1169px) {
  .container {
    width: 970px
  }
  .search-form input {
    padding-right: 0;
    width: 80%;
  }
  .header-tob-buttom-area {
    margin: 30px 0;
  }
  .top-bar-right .top-menu ul li a {
    padding: 27.5px 12px;
  }
  .top-menu ul li a {
    padding: 19px 23px;
  }
  .main-menu-area ul li .mega-menu {
    left: 0;
    right: auto;
  }
  .main-menu-area ul li .mega-menu.two {
    right: 0;
    left: auto;
  }
  .category-banner-area .col-md-4 .single-banner:first-child {
    margin-bottom: 28px;
  }
  .single-feed:last-child {
    margin: 0;
  }
  .twitter-feed-area {
    padding: 20px 14px 21px;
  }
  .twitter-pic {
    margin-right: 10px;
    width: 25%;
  }
  .twitter-text {
    width: 75%;
  }
  .single-feed {
    margin-bottom: 15px;
    display: flex;
  }
  ul.social-header li {
    margin-right: 14px;
  }
  span.ft-content {
    display: grid;
    grid-template-columns: 20% auto;
  }
  .block-top-content {
    padding: 32.5px 14px 29px;
  }
  .main-menu-area ul li a {
    margin-right: 40px;
  }
  .top-menu ul li a {
    padding: 19px 20px;
  }
  .product-area-all .product-name a {
    font-size: 11px;
  }
  .home-4 .product-area-all .single-product {
    margin-bottom: 44px;
  }
  .home-4 .banner-area-static {
    margin: 0 0 50px;
  }
  .home-4 .banner-area .col-md-8 .single-banner:nth-child(1) {
    margin-bottom: 20px;
  }
  .home-4 .main-menu-area ul li .mega-menu.two {
    right: -85px;
  }
  .home-5 .search-form button {
    right: -4px;
    top: 4px;
  }
  .home-5 .search-form input {
    padding-left: 5px;
  }
  .single-banner-style-2 {
    margin-bottom: 28px;
  }
  .content-text p.shop-now {
    font-size: 12px;
    line-height: 20px;
    margin: 0;
  }
  .cart-table tbody tr td {
    padding: 34px 10px;
    text-align: center;
  }
  .main-menu-area ul li .mega-menu {
    left: -103px;
  }
  .dark {
    font-size: 12px;
  }
}

/* Tablet desktop :768px. */

@media (min-width: 768px) and (max-width: 991px) {
  .container {
    width: 750px
  }
  .top-bar-right .top-menu {
    display: inline-block;
    float: none;
  }
  .header-top-bar, .home-3 .header-top-bar {
    border-bottom: 0 none;
  }
  .search-form {
    border-right: 0;
    display: inline-block;
    float: none;
  }
  .search-form input {
    width: 85%;
    border: none;
  }
  .top-bar-right {
    border-bottom: 1px solid #b7b7b7;
    border-top: 1px solid #b7b7b7;
    line-height: 0;
    text-align: center;
  }
  .home-3 .top-bar-right {
    border-color: #3d434b
  }
  .search-form button {
    line-height: 31px;
    margin-top: 10px;
  }
  .top-bar-right .top-menu ul li:last-child {
    border-right: 1px solid #b7b7b7;
  }
  .top-bar-right .top-menu ul li:first-child {
    border-left: 1px solid #b7b7b7;
  }
  .home-3 .top-bar-right .top-menu ul li:first-child, .home-3 .top-bar-right .top-menu ul li:last-child {
    border-color: #3d434b;
  }
  .main-menu-area {
    display: none;
  }
  .logo-area {
    text-align: center;
  }
  .header-tob-buttom-area {
    margin: 30px 0;
  }
  .social-menus {
    float: none;
  }
  .social-menus ul {
    text-align: right;
  }
  .social-menus ul li {
    display: inline-block;
    float: none;
  }
  .title-container h1 {
    font-size: 36px;
  }
  .title-container h3 span {
    font-size: 14px;
  }
  .desc-layer {
    font-size: 12px;
  }
  .sbutton-link a {
    padding: 6px 20px;
  }
  .category-banner-area .col-md-4 .single-banner:first-child {
    margin-bottom: 20px;
  }
  .testimonial-newslatter-area::after {
    display: none;
  }
  .testimonial {
    margin-bottom: 35px;
  }
  .actions {
    margin-top: 35px;
  }
  .home-3 .title-container h3 span {
    font-size: 48px;
  }
  .home-4 .header-top-bar {
    border-bottom: 1px solid #3d434b;
  }
  .home-4 .top-bar-right .top-menu ul li a {
    padding: 27.5px 7px;
  }
  .home-4 .top-bar-right {
    border: medium none;
  }
  .home-4 .top-bar-right .top-menu ul li a i {
    left: 6px;
  }
  .home-4 .search-form {
    float: right;
  }
  .home-4 .top-menu {
    text-align: right;
    width: 100%;
  }
  .home-4 .top-menu ul li {
    display: inline-block;
    float: none;
  }
  .user-cart {
    text-align: center;
  }
  .product-area-all .tab-content .single-product {
    margin-bottom: 10px;
  }
  .home-2 .product-area-all .tab-content .single-product {
    margin-bottom: 40px;
  }
  .product-area-all .tab-content .single-product .product-info {
    padding: 0;
  }
  .product-area-all .tab-content .larg-product-carosul .single-product .product-info {
    padding: 15px 0 30px;
  }
  .home-4 .tab-menu ul li {
    padding: 0 15px;
  }
  .home-4 .banner-area .col-md-8 .single-banner:nth-child(1) {
    margin-bottom: 10px;
  }
  .home-5 .header-top-bar {
    border-bottom: 1px dashed #f2f2f3;
  }
  .home-5 .top-bar-right .top-menu ul li:first-child {
    border-left: 1px dashed #f2f2f3;
  }
  .home-5 .top-menu ul li ul li {
    display: block;
  }
  .home-5 .top-cart-contain {
    margin-left: 0;
  }
  .home-5 .top-cart-contain {
    float: right;
  }
  .home-6 .header-top-bar {
    border-bottom: 1px solid #404348;
  }
  .home-6 .top-bar-right .top-menu ul li:first-child {
    border-left: 1px solid #404348;
  }
  .home-6 .search-form input {
    padding-left: 0;
  }
  .home-6 .tab-menu ul {
    margin: 40px 0;
  }
  .single-banner-style-2 {
    margin-bottom: 21px;
  }
  .content-text p.shop-now {
    font-size: 11px;
    line-height: 18px;
    margin: 0;
  }
  .footer-title {
    margin-bottom: 10px;
  }
  .form-content {
    margin-bottom: 15px;
  }
  .zoomLens {
    height: 130px !important;
    width: 130px !important;
  }
  .product-details .releted-product-area .area-title-2 {
    margin: 0 0 30px;
  }
  .product-details .releted-product-area h3.area-hedding-2 {
    font-size: 15px;
  }
  .product-details .releted-product-area .ratting {
    font-size: 11px;
  }
  .product-details .releted-product-area .product-name {
    line-height: 15px;
  }
  .product-details .releted-product-area .product-name a {
    font-size: 12px;
  }
  .shop .add-banner-left {
    display: none;
  }
  .shop .compare {
    margin: 30px 0;
  }
  .shop .sidebar-title-2 {
    margin-bottom: 20px;
  }
  .cart-table tbody tr td {
    font-weight: normal;
    padding: 15px 10px;
  }
  h2.cart-title {
    font-size: 13px;
  }
  .shopping-cart-totals .buttons-set button {
    font-size: 10px;
    padding: 0 8px;
  }
  .discount-form label {
    font-size: 12px;
  }
  .blog-details .add-banner-left {
    display: none;
  }
  .checkout-sidebar h2 {
    font-size: 13px;
    text-transform: capitalize;
  }
  .pb-md-30px {
    padding-bottom: 30px;
  }
  .banner-slider img {
    width: 100%;
    margin-top: 30px;
  }
}

/* small mobile :320px. */

@media (max-width: 767px) {
  .main-menu-area {
    display: none;
  }
  .banner-slider img {
    width: 100%;
    margin-top: 30px;
  }
  .top-menu ul li a {
    padding: 19px 13px;
  }
  .top-bar-right .top-menu {
    border-top: 1px solid #b7b7b7;
    float: none;
    line-height: 0;
    overflow: hidden;
    text-align: center;
    width: 100%;
  }
  .currency {
    float: none;
    text-align: center;
  }
  .home-5 .top-bar-right .top-menu {
    border-top: 1px solid #f2f2f3;
  }
  .home-5 .banner-area-static {
    margin: 0;
  }
  .home-5 .new-sell-product-area {
    margin-top: 30px;
  }
  .home-3 .top-bar-right .top-menu, .home-3 .search-form {
    border-color: #3d434b;
  }
  .search-form {
    border-right: 0 none;
    border-top: 1px solid #b7b7b7;
    float: none;
    overflow: hidden;
    width: 100%;
  }
  .top-bar-right .top-menu ul li a {
    padding: 27.5px 10px;
  }
  .top-menu ul li {
    display: inline-block;
    float: none;
  }
  .top-cart-contain {
    display: inline-block;
    float: none;
    margin-left: 0;
    margin-right: 15px;
  }
  .header-phone {
    display: inline-block;
    float: none;
  }
  .user-cart-phone {
    margin: 20px 0;
    text-align: center;
  }
  .logo-area {
    text-align: center;
  }
  .header-tob-buttom-area {
    margin: 30px 0;
  }
  .mini-cart-content {
    left: 0;
    right: auto;
  }
  .slider-2 h3, .slider-1 h3 {
    line-height: 13px;
    margin: 0;
  }
  .title-container h1 {
    font-size: 20px;
    margin: 0;
  }
  .title-container h3 span {
    font-size: 10px;
  }
  .nivo-caption p {
    display: none;
  }
  .sbutton-link {
    display: none;
  }
  .single-banner {
    margin-bottom: 30px;
  }
  .area-title {
    margin-bottom: 30px;
    margin-top: 25px;
  }
  h3.area-hedding {
    font-size: 16px;
    padding: 10px 39px;
  }
  .tab-menu ul li {
    padding: 0 8px;
  }
  .new-sell-carosul .image-area {
    max-width: 100%;
    float: none;
  }
  .mt-res-30px {
    margin-top: 30px;
  }
  h3.area-hedding-2 {
    font-size: 20px;
  }
  .product-carusul-2.owl-theme .owl-controls .owl-buttons {
    top: -43px;
  }
  .bestseller-area .single-product {
    margin-bottom: 35px;
  }
  .blog-carosul.owl-theme .owl-controls .owl-buttons {
    top: -42px;
  }
  .testimonial-newslatter-area::after {
    display: none;
  }
  .title-testimonial {
    margin-bottom: 20px;
  }
  .testimonial {
    margin-bottom: 20px;
  }
  .actions {
    margin-top: 30px;
  }
  ul.social-header li {
    margin-right: 10px;
  }
  .box-top-footer .area-title-2 {
    margin: 0 0 20px;
  }
  .about-content-area {
    margin-bottom: 25px;
  }
  .twitter-feed-area {
    margin-bottom: 25px;
  }
  .twitter-feed-area {
    padding: 40px 10px 21px;
  }
  .footer-title {
    margin-bottom: 0;
  }
  .footer-menu {
    margin-bottom: 20px;
  }
  .footer-contact {
    margin-bottom: 35px;
  }
  .footer-copyright-menu ul li {
    margin-right: 5px;
  }
  .about-image img, .blog-image img {
    width: 100%;
  }
  .logo-carosul img {
    width: 100%;
  }
  .social-menus {
    float: none;
    text-align: center;
    border-top: 1px solid #b7b7b7;
    padding: 0 0 13px 0;
  }
  .social-menus ul li {
    display: inline-block;
    float: none;
  }
  .banner-area-static .single-banner {
    float: none;
    width: 100%;
  }
  .home-3 .product-carusul.owl-theme .owl-controls .owl-buttons {
    top: -99px;
  }
  .new-collection {
    font-size: 13px;
    margin: 8px;
  }
  .home-3 .title-container h3 span {
    font-size: 16px;
  }
  .home-4 .top-bar-right .top-menu ul li a i {
    margin-right: 0;
  }
  .home-4 .logo {
    display: block;
    margin-bottom: 20px;
    float: none;
  }
  .home-4 .user-cart {
    text-align: center;
  }
  .home-4 .top-cart-contain {
    margin-right: 0;
  }
  .home-4 .mini-cart-content {
    left: -130px;
  }
  .home-4 .tab-menu {
    margin-top: 10px;
  }
  .home-4 .product-area-all .area-title {
    display: block;
    text-align: center;
  }
  .home-4 .tab-menu ul {
    padding-bottom: 20px;
  }
  .home-4 .new-sell-carosul .new-single-product .image-area {
    max-width: 100%;
    margin-bottom: 20px;
    float: none;
  }
  .home-5 .logo-area {
    margin: 15px 0;
  }
  .home-5 .logo {
    margin-bottom: 20px;
    margin-top: 20px;
  }
  .home-5 .search-form {
    border: none;
  }
  .home-5 .search-form button {
    top: 0;
  }
  .home-5 .search-form input {
    padding-left: 10px;
  }
  .home-5 .area-title h3 {
    font-size: 16px;
  }
  .home-5 .area-title {
    margin-bottom: 10px;
    margin-top: 45px;
  }
  .home-6 .tab-menu ul {
    margin: 25px 0;
    padding-bottom: 0;
  }
  .home-6 .tab-menu ul li a {
    font-size: 11px;
  }
  .single-banner-style-2 img {
    width: 100%;
  }
  .home-6 .new-sell-product-area {
    margin-top: 25px;
  }
  .home-6 .top-bar-right .top-menu {
    border-top: 1px solid #404348;
  }
  .content-text p.shop-now {
    font-size: 11px;
    line-height: 15px;
  }
  .banner-area-6 {
    margin-top: 0;
  }
  .zoomLens, .zoomContainer {
    display: none !important;
  }
  .single-zoom-thumb .bx-wrapper .bx-controls-direction a.bx-next {
    right: 2px;
  }
  .product-details .product-view-area .product-details-area .product-name h1 {
    margin: 0;
    padding-bottom: 0;
  }
  .releted-product-area {
    margin-top: 30px;
  }
  .product-details .releted-product-area .area-title-2 {
    margin: 0 0 25px;
  }
  .product-details .product-details-area .price-box {
    margin-right: 0;
    padding: 0;
  }
  .product-details .prod-tab-menu ul li a {
    margin-right: 0;
    padding: 10px 0;
  }
  .product-details .prod-tab-menu ul {
    text-align: center;
  }
  .product-details .prod-tab-menu {
    border-bottom: 0 none;
    margin-bottom: 0;
  }
  .product-details .product-over-view-tab .tab-content {
    padding: 15px;
  }
  .product-details .product-details-area p.availability.in-stock {
    margin: 0;
  }
  .product-details .top-menu ul li ul li {
    display: block;
  }
  .product-details .product-carusul.owl-theme .owl-controls .owl-buttons {
    top: -43px;
  }
  .shop-sorter select {
    margin: 0;
    min-width: 70px;
  }
  .shop-pagination ul li {
    margin: 0 4px;
  }
  .cart-table tbody tr td {
    padding: 0 10px;
  }
  .wishlist .cartPage-btn li {
    display: block;
    margin-bottom: 10px;
    margin-right: 0;
  }
  .wishlist .cartPage-btn ul {
    float: left;
  }
  .wishlist .cartPage-btn, .wishlist .back-button {
    text-align: left;
  }
  .wishlist .cartPage-btn li a.cbtn, .wishlist .cartPage-btn .continue, .wishlist .buttons-set button {
    display: block;
  }
  .error-text h1 {
    font-size: 40px;
    line-height: 1.2;
    margin: 40px 0 0;
  }
  .error-text h2 {
    font-size: 13px;
  }
  .error-text {
    margin-bottom: 40px;
  }
  .our-team {
    margin-top: 10px;
  }
  .our-company ul li {
    font-size: 12px;
  }
  .shop #list .rating-box {
    display: block;
    float: none;
    overflow: hidden;
    width: 100%;
  }
  .shop #list .price-box {
    margin-bottom: 5px;
  }
  .blog-description {
    margin-top: 10px;
  }
  .sidebar-title-2 {
    margin-bottom: 30px;
  }
  .tag-list ul li {
    margin: 0 2px 10px 0;
  }
  .checkout .billing-info select {
    width: 100%;
  }
  .checkout .checkout-option, .checkout .billing-info, .checkout .review-bar {
    margin-left: 0;
  }
  .form-element-top .form-element {
    width: 100%;
  }
  .new-account .form-element input {
    width: 100%;
  }
  .form-element.comment textarea {
    width: 100%;
  }
  .shop-pager {
    display: block;
    float: none;
    width: 100%;
  }
  .view-mode {
    float: none;
    width: 100%;
  }
  .shop-sorter {
    width: 100%;
    text-align: left;
    float: none;
  }
  .limiter {
    float: none;
    width: 100%;
    display: flex;
    align-items: center;
    margin: 15px 0;
  }
  .toolbar {
    padding: 20px 0;
  }
}

/* Large Mobile :480px. */

@media only screen and (min-width: 480px) and (max-width: 767px) {
  .product-carusul.owl-theme .owl-controls .owl-buttons {
    top: -103px;
  }
  .home-4 .top-bar-right .top-menu ul li a {
    padding: 25px 10px;
  }
}

@media (max-width: 575px) {
  .subcribe-form input {
    width: 100%;
  }
  .home-5 .title-container h1 {
    font-size: 1.5em;
  }
  .home-5 .title-container h3 span {
    font-size: .7em;
  }
}

@media (max-width: 479px) {
  .social-menus ul li {
    margin-right: 10px;
  }
  .home-3 .search-form input {
    width: 88%;
  }
  .single-testimonial .content a, .news-letter .content {
    max-width: 100%;
  }
  .home-4 .search-form input {
    width: 100%;
  }
}